## oscar 1.0.3

=== DESCRIPTION ===
Package: oscar
Type: Package
Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
        L0-Pseudonorm
Version: 1.0.3
Date: 2022-05-19
Authors@R: c(
    person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
    person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
    person(given="Anni", family="Halkola", role=c("aut"), email="ansuha@utu.fi"))
Description: Optimal Subset Cardinality Regression (OSCAR) models offer
    regularized linear regression using the L0-pseudonorm, conventionally
    known as the number of non-zero coefficients. The package estimates an
    optimal subset of features using the L0-penalization via
    cross-validation, bootstrapping and visual diagnostics. Effective
    Fortran implementations are offered along the package for finding
    optima for the DC-decomposition, which is used for transforming the
    discrete L0-regularized optimization problem into a continuous
    non-convex optimization task. These optimization modules include DBDC
    ('Double Bundle method for nonsmooth DC optimization' as described in
    Joki et al. (2018) <doi:10.1137/16M1115733>) and LMBM ('Limited
    Memory Bundle Method for large-scale nonsmooth optimization' as
    in Haarala et al. (2004) <doi:10.1080/10556780410001689225>).
    Multiple regression model families are supported: Cox, logistic,
    and Gaussian.
License: GPL-3
LazyData: true
URL: https://github.com/Syksy/oscar
BugReports: https://github.com/Syksy/oscar/issues
NeedsCompilation: yes
Depends: R (>= 3.6.0)
Imports: graphics, grDevices, hamlet, Matrix, methods, stats, survival,
        utils
Suggests: ePCR, glmnet, knitr, pROC, rmarkdown
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.0
Packaged: 2022-05-19 13:55:26 UTC; teemu
Author: Teemu Daniel Laajala [aut, cre]
    (<https://orcid.org/0000-0002-7016-7354>),
  Kaisa Joki [aut],
  Anni Halkola [aut]
Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
Repository: CRAN
Date/Publication: 2022-05-20 18:20:01 UTC

## oscar 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.0.3
-Date: 2022-05-19
+Version: 1.0.4
+Date: 2022-05-21
 Authors@R: c(
     person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
@@ -35,11 +35,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.2.0
-Packaged: 2022-05-19 13:55:26 UTC; teemu
+Packaged: 2022-05-21 16:29:11 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2022-05-20 18:20:01 UTC
+Date/Publication: 2022-05-23 23:20:10 UTC

## oscar 1.1.0-testing-3

=== debian/changelog ===
oscar (1.1.0-testing-3-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:19 +0100

oscar (1.1.0-testing-3-3) unstable; urgency=medium

  * Add "Provides: sleepyhead" to d/control.
    OSCAR is a fork of Sleepyhead, which has been abandoned by the
    upstream maintainer.  For this reason, and in order to keep Sleepyhead
    users up-to-date, we tell apt that OSCAR "Provides: sleepyhead".

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 18 Jan 2020 11:50:34 -0500

oscar (1.1.0-testing-3-2) unstable; urgency=low

  * Bump version due to mistake uploading a binary.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 15 Jan 2020 19:24:33 -0500

oscar (1.1.0-testing-3-1) unstable; urgency=medium

  * Initial release (Closes: #940860).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 20 Sep 2019 20:06:51 -0400

=== debian/control ===
Source: oscar
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: debhelper-compat (= 12),
	       qt5-qmake,
	       qttools5-dev-tools,
	       libqt5serialport5-dev,
               libqt5opengl5-dev,
               libglu1-mesa-dev | libglu-dev,
	       zlib1g-dev,
	       git,
Rules-Requires-Root: no
Standards-Version: 4.4.0.1
Homepage: https://www.sleepfiles.com/OSCAR/
Vcs-Browser: https://salsa.debian.org/med-team/oscar
Vcs-Git: https://salsa.debian.org/med-team/oscar.git

Package: oscar
Provides: sleepyhead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Source CPAP Analysis Reporter (OSCAR)
 OSCAR is a Free Software, cross platform research tool for
 exploring data produced by CPAP (Continuous Positive Airway Pressure)
 machines, and related equipment, which are used in the treatment of
 sleep apnea and other sleep disorders.
 .
 OSCAR is a derivative of SleepyHead version 1.1.0, created when that
 was abandoned by Mark Watkins.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT = qt5

BUILDDIR = _build/

%:
	dh $@ --buildsystem=qmake --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- ..

# Upstream ships with a 'history' directory containing ancient code.
# We are not interested in installing it.
override_dh_installchangelogs:
	dh_installchangelogs --exclude=history

=== debian/watch ===
version=4
https://gitlab.com/pholy/OSCAR-code/-/tags \
 /pholy/OSCAR-code/-/archive/v.*/OSCAR-code-v@ANY_VERSION@@ARCHIVE_EXT@

## oscar 1.1.1

=== debian/changelog ===
oscar (1.1.1-1) unstable; urgency=medium

  * d/watch: Add uversionmangle to account for "-rc" suffix.
  * New upstream version 1.1.1. (Closes: #964646)
  * Adjust our local patches for the new release.
    - d/p/0001-Create-install-rule-on-Makefile.patch: Refresh.
    - d/p/0002-Don-t-print-build-date.patch: New patch, derived from...
    - d/p/0002-Remove-__DATE__-and-__TIME__-from-version-string.patch:
      ... this.
    - d/p/0003-Fix-GCC9-implicitly-declared-copy-constructor-is-dep.patch:
      Remove; fixed upstream.
    - d/p/0004-Fix-typos.patch: Remove.  This patch is too big to maintain
      for a small benefit.  I will rework and submit it upstream later.
  * d/rules: Adjust configure step to use OSCAR_QT.pro explicitly.
  * d/control: Bump Standards-Version to 4.5.
  * d/control: Bump debhelper-compat to 13.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 09 Jul 2020 17:16:26 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	       qt5-qmake,
 	       qttools5-dev-tools,
 	       libqt5serialport5-dev,
@@ -12,7 +12,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.0
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

=== debian/watch ===
version=4
options=uversionmangle=s@-rc@~rc@ \
https://gitlab.com/pholy/OSCAR-code/-/tags \
 /pholy/OSCAR-code/-/archive/v.*/OSCAR-code-v@ANY_VERSION@@ARCHIVE_EXT@

## oscar 1.1.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.0.4
-Date: 2022-05-21
+Version: 1.1.2-2
+Date: 2023-03-13
 Authors@R: c(
     person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
@@ -30,16 +30,16 @@
 NeedsCompilation: yes
 Depends: R (>= 3.6.0)
 Imports: graphics, grDevices, hamlet, Matrix, methods, stats, survival,
-        utils
-Suggests: ePCR, glmnet, knitr, pROC, rmarkdown
+        utils, pROC
+Suggests: ePCR, glmnet, knitr, rmarkdown
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.0
-Packaged: 2022-05-21 16:29:11 UTC; teemu
+RoxygenNote: 7.2.3
+Packaged: 2023-03-12 22:09:55 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2022-05-23 23:20:10 UTC
+Date/Publication: 2023-03-13 01:10:02 UTC

## oscar 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.1.2-2
-Date: 2023-03-13
+Version: 1.1.4
+Date: 2023-03-28
 Authors@R: c(
     person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
@@ -20,9 +20,10 @@
     ('Double Bundle method for nonsmooth DC optimization' as described in
     Joki et al. (2018) <doi:10.1137/16M1115733>) and LMBM ('Limited
     Memory Bundle Method for large-scale nonsmooth optimization' as
-    in Haarala et al. (2004) <doi:10.1080/10556780410001689225>).
-    Multiple regression model families are supported: Cox, logistic,
-    and Gaussian.
+    in Haarala et al. (2004) <doi:10.1080/10556780410001689225>). The
+    OSCAR models are comprehensively exemplified in Halkola et al. (2023) 
+    <doi:10.1371/journal.pcbi.1010333>). Multiple regression model families
+    are supported: Cox, logistic, and Gaussian.
 License: GPL-3
 LazyData: true
 URL: https://github.com/Syksy/oscar
@@ -35,11 +36,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-Packaged: 2023-03-12 22:09:55 UTC; teemu
+Packaged: 2023-03-28 16:12:06 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2023-03-13 01:10:02 UTC
+Date/Publication: 2023-03-28 16:50:06 UTC

## oscar 1.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.1.4
-Date: 2023-03-28
+Version: 1.1.7
+Date: 2023-08-07
 Authors@R: c(
     person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
@@ -36,11 +36,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-Packaged: 2023-03-28 16:12:06 UTC; teemu
+Packaged: 2023-08-07 19:43:59 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2023-03-28 16:50:06 UTC
+Date/Publication: 2023-08-08 07:20:06 UTC

## oscar 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.1.7
-Date: 2023-08-07
+Version: 1.2.0
+Date: 2023-08-29
 Authors@R: c(
-    person(given="Teemu Daniel", family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
+    person(given=c("Teemu", "Daniel"), family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
     person(given="Anni", family="Halkola", role=c("aut"), email="ansuha@utu.fi"))
 Description: Optimal Subset Cardinality Regression (OSCAR) models offer
@@ -36,11 +36,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-Packaged: 2023-08-07 19:43:59 UTC; teemu
+Packaged: 2023-08-28 23:55:57 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2023-08-08 07:20:06 UTC
+Date/Publication: 2023-08-29 02:10:02 UTC

=== debian/changelog ===
oscar (1.2.0-1) unstable; urgency=medium

  * d/watch: Improve uversionmangle regex.
  * New upstream version 1.2.0
  * d/p/0003-treat-deprecation-copy-as-warning.patch: Remove.
    Upstream incorporated a fix that solves the build issue.
  * d/control: Bump Standards-Version to 4.5.1.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 20 Dec 2020 19:40:18 -0500

oscar (1.1.1-2) unstable; urgency=medium

  * Team Upload.
  * Treat deprecated-copy warnings as warnings rather than errors
    (Closes: #967101)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 31 Aug 2020 19:53:01 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

=== debian/watch ===
version=4
options=uversionmangle=s@-(rc|beta)@~$1@ \
https://gitlab.com/pholy/OSCAR-code/-/tags \
 /pholy/OSCAR-code/-/archive/v.*/OSCAR-code-v@ANY_VERSION@@ARCHIVE_EXT@

## oscar 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Optimal Subset Cardinality Regression (OSCAR) Models Using the
         L0-Pseudonorm
-Version: 1.2.0
-Date: 2023-08-29
+Version: 1.2.1
+Date: 2023-10-02
 Authors@R: c(
     person(given=c("Teemu", "Daniel"), family="Laajala", role=c("aut", "cre"), email="teelaa@utu.fi", comment = c(ORCID = "0000-0002-7016-7354")),
     person(given="Kaisa", family="Joki", role=c("aut"), email="kjjoki@utu.fi"),
@@ -36,11 +36,11 @@
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 7.2.3
-Packaged: 2023-08-28 23:55:57 UTC; teemu
+Packaged: 2023-10-02 00:04:47 UTC; teemu
 Author: Teemu Daniel Laajala [aut, cre]
     (<https://orcid.org/0000-0002-7016-7354>),
   Kaisa Joki [aut],
   Anni Halkola [aut]
 Maintainer: Teemu Daniel Laajala <teelaa@utu.fi>
 Repository: CRAN
-Date/Publication: 2023-08-29 02:10:02 UTC
+Date/Publication: 2023-10-02 13:40:08 UTC

## oscar 1.3.1

=== debian/changelog ===
oscar (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file to not report alpha versions

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 15:32:45 +0100

oscar (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version  (Closes: #984280)
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * d/copyright: bump year

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Nov 2021 21:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

## oscar 1.4.0

=== debian/changelog ===
oscar (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * d/control: Bump Standards-Version to 4.6.1.
  * d/s/lintian-overrides: Silence erroneous source-is-missing.
  * d/p/0001-Create-install-rule-on-Makefile.patch: Add DEP-3 headers.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 20 Jul 2022 13:19:55 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

## oscar 1.5.1

=== debian/changelog ===
oscar (1.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:45 +1100

oscar (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:17:58 +0000

oscar (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 19 Nov 2023 00:44:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oscar
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       qt5-qmake,
@@ -12,7 +13,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=qmake --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
-	dh_auto_configure -- ..
+	dh_auto_configure -- ../OSCAR_QT.pro
 
 # Upstream ships with a 'history' directory containing ancient code.
 # We are not interested in installing it.

=== debian/watch ===
version=4
options="uversionmangle=s@-(rc|beta)@~$1@,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://gitlab.com/pholy/OSCAR-code/-/tags (?:.*?/)?OSCAR-code-v?(\d[\d.rcbeta]+)\.tar\.gz

## oscar 1.5.3

=== Building/Linux/rpm/Makefile ===
# Front end for second-stage Makefile


include Makefile.common


# Second-stage make, which does the actual work.
MAKE2 := $(MAKE) -f Makefile-stage2


default: build

%: $(SPEC)
	$(MAKE2) $@

# Build the spec with a valid version.

VERSION_FILE := VERSION
VERSION_SOURCE := $(TOP)/oscar/VERSION
VERSION := $(shell egrep -e '\#define\s+VERSION\s+' '$(VERSION_SOURCE)' \
	| sed -e 's/^.* //g' \
	| tr -d '"' \
	| tr -- - . \
	)

SPEC=$(NAME).spec
$(SPEC): $(SPEC).raw Makefile
	sed -e 's/__VERSION__/$(VERSION)/g' $< > $@
TO_CLEAN += $(SPEC)


build: $(SPEC)
	$(MAKE2)


clean:: $(SPEC)
	$(MAKE2) $@
	rm -f $(TO_CLEAN)

=== debian/changelog ===
oscar (1.5.3-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1045364
  * d/copyright: review thanks to lrc

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2024 21:57:51 +0100

oscar (1.5.3-1) unstable; urgency=medium

  * d/watch: Adjust file for new gitlab URLs.
  * New upstream version 1.5.3
  * d/control: Bump Standards-Version to 4.7.0; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 14 Jul 2024 00:17:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: oscar
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       qt5-qmake,
@@ -13,7 +12,7 @@
 	       zlib1g-dev,
 	       git,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.sleepfiles.com/OSCAR/
 Vcs-Browser: https://salsa.debian.org/med-team/oscar
 Vcs-Git: https://salsa.debian.org/med-team/oscar.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 %:
 	dh $@ --buildsystem=qmake --builddirectory=$(BUILDDIR)
 
+override_dh_clean:
+	dh_clean
+	find . -name "*.qm" -delete
+
 override_dh_auto_configure:
 	dh_auto_configure -- ../OSCAR_QT.pro

=== debian/watch ===
version=4
options="\
  searchmode=plain,\
  uversionmangle=s%-(rc|beta)%~$1%,\
  downloadurlmangle=s%.*/(OSCAR-code-@ANY_VERSION@\.tar.*)%https://gitlab.com/pholy/OSCAR-code/-/archive/$2/$1%,\
  filenamemangle=s%.*OSCAR-code-@ANY_VERSION@(\.tar.*)%@PACKAGE@-$1$2%" \
  https://gitlab.com/api/v4/projects/pholy%2FOSCAR-code/releases \
  -/archive/[^/]+/OSCAR-code-@ANY_VERSION@@ARCHIVE_EXT@
